﻿©Fluke                                                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek AFG300 (1 yr) Phase VER IEEE /FGEN,SCOPE
DATE:                  2010-11-08 11:15:39
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       19
NUMBER OF LINES:       242
CONFIGURATION:         Function Generator
=============================================================================
#
#  Procedure Author:
#        ZY
#
#  Model(s) Covered:
#        AFG 310, 320
#
#  Compatibility:
#        MET/CAL 7.3 (7.3) or later
#
#  Subprocedures:
#        Sub Initialize /FGEN
#        Sub Reset /FGEN
#        Sub Output Off /FGEN
#        Sub Apply /FGEN
#
#  Required Files:
#        afg300_phase_hookup.jpg
#        afg300_phase_360_degree_1cyc.jpg
#        afg300_phase_360_degree_3cyc.jpg
#        afg300_phase_270_degree_1cyc.jpg
#        afg300_phase_270_degree_3cyc.jpg
#        afg300_phase_180_degree_1cyc.jpg
#        afg300_phase_180_degree_3cyc.jpg
#        afg300_phase_90_degree_1cyc.jpg
#        afg300_phase_90_degree_3cyc.jpg
#
#  Additional Equipment Required:
#        100 MHz Digital Oscilloscope
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IF           0
  1.002  IEEE         [@FGEN]
  1.003  ENDIF

  1.004  CALL         Sub Initialize /FGEN

  1.005  IF           @Chan == 1
  1.006  RSLT         =
  1.007  HEAD         {OPERATION MODE AND PHASE TEST}, CH [V @Chan]
  1.008  ENDIF

  1.009  RSLT         =
  1.010  RSLT         =Channel [V @Chan]
  1.011  RSLT         =

  1.012  HEAD         -2 360 Degree Phase, 1 Cycle
# FGEN setting.
  1.013  MATH         @FGEN_Waveform = "Square"
  1.014  MATH         @FGEN_Ampl     = "2.5Vp"
  1.015  MATH         @FGEN_Freq     = "10kHz"
  1.016  TARGET
  1.017  IEEE2        *RST
  1.018  CALL         Sub Reset /FGEN
# Digital oscilloscope setting.
  1.019  PIC          afg300_phase_hookup.jpg
  1.020  DISP         Set the digital oscilloscope as following:
  1.020  DISP         ===============================================
  1.020  DISP         Function                        Setting
  1.020  DISP         ===============================================
  1.020  DISP         CH1 Veritical
  1.020  DISP         [32]Coupling                    DC
  1.020  DISP         [32]Scale                       0.2 V/Div
  1.020  DISP         [32]Input Impedance             1 MOhm
  1.020  DISP         -----------------------------------------------
  1.020  DISP         CH2 Vertical
  1.020  DISP         [32]Coupling                    DC
  1.020  DISP         [32]Scale                       0.5 V/Div
  1.020  DISP         [32]Input Impedance             1 MOhm
  1.020  DISP         -----------------------------------------------
  1.020  DISP         Horizontal
  1.020  DISP         [32]Sweep                       20 µs/Div
  1.020  DISP         -----------------------------------------------
  1.020  DISP         Trigger
  1.020  DISP         [32]Source                      CH2
  1.020  DISP         [32]Coupling                    DC
  1.020  DISP         [32]Slope                       Positive
  1.020  DISP         [32]Level                       +500 mV
  1.020  DISP         [32]Mode                        Auto
  1.021  CALL         Sub Apply /FGEN
# UUT setting.
  1.022  IEEE2        MODE[V @Chan]:BCO 3
  1.023  IEEE2        MODE[V @Chan]:TYPE TRIG
  1.024  IEEE2        SOUR[V @Chan]:PHAS:ADJ 360DEG
  1.025  IEEE2        OUTP[V @Chan]:STAT ON
  1.026  MATH         MEM2 = "360 Degree Phase, 1 Cycle Test"
  1.027  PICE         -s MEM2 : afg300_phase_360_degree_1cyc.jpg

  2.001  HEAD         -2 270 Degree Phase, 1 Cycle
  2.002  TARGET
  2.003  IEEE2        SOUR[V @Chan]:PHAS:ADJ 270DEG
  2.004  IEEE2        OUTP[V @Chan]:STAT ON
  2.005  MATH         MEM2 = "270 Degree Phase, 1 Cycle Test"
  2.006  PICE         -s MEM2 : afg300_phase_270_degree_1cyc.jpg

  3.001  HEAD         -2 180 Degree Phase, 1 Cycle
  3.002  TARGET
  3.003  IEEE2        SOUR[V @Chan]:PHAS:ADJ 180DEG
  3.004  IEEE2        OUTP[V @Chan]:STAT ON
  3.005  MATH         MEM2 = "180 Degree Phase, 1 Cycle Test"
  3.006  PICE         -s MEM2 : afg300_phase_180_degree_1cyc.jpg

  4.001  HEAD         -2 90 Degree Phase, 1 Cycle
  4.002  TARGET
  4.003  IEEE2        SOUR[V @Chan]:PHAS:ADJ 90DEG
  4.004  IEEE2        OUTP[V @Chan]:STAT ON
  4.005  MATH         MEM2 = "90 Degree Phase, 1 Cycle Test"
  4.006  PICE         -s MEM2 : afg300_phase_90_degree_1cyc.jpg

  5.001  HEAD         -2 0 Degree Phase, 1 Cycle
  5.002  TARGET
  5.003  IEEE2        SOUR[V @Chan]:PHAS:ADJ 0DEG
  5.004  IEEE2        OUTP[V @Chan]:STAT ON
  5.005  MATH         MEM2 = "0 Degree Phase, 1 Cycle Test"
  5.006  PICE         -s MEM2 : afg300_phase_360_degree_1cyc.jpg

  6.001  HEAD         -2 -90 Degree Phase, 1 Cycle
  6.002  TARGET
  6.003  IEEE2        SOUR[V @Chan]:PHAS:ADJ -90DEG
  6.004  IEEE2        OUTP[V @Chan]:STAT ON
  6.005  MATH         MEM2 = "-90 Degree Phase, 1 Cycle Test"
  6.006  PICE         -s MEM2 : afg300_phase_270_degree_1cyc.jpg

  7.001  HEAD         -2 -180 Degree Phase, 1 Cycle
  7.002  TARGET
  7.003  IEEE2        SOUR[V @Chan]:PHAS:ADJ -180DEG
  7.004  IEEE2        OUTP[V @Chan]:STAT ON
  7.005  MATH         MEM2 = "-180 Degree Phase, 1 Cycle Test"
  7.006  PICE         -s MEM2 : afg300_phase_180_degree_1cyc.jpg

  8.001  HEAD         -2 -270 Degree Phase, 1 Cycle
  8.002  TARGET
  8.003  IEEE2        SOUR[V @Chan]:PHAS:ADJ -270DEG
  8.004  IEEE2        OUTP[V @Chan]:STAT ON
  8.005  MATH         MEM2 = "-270 Degree Phase, 1 Cycle Test"
  8.006  PICE         -s MEM2 : afg300_phase_90_degree_1cyc.jpg

  9.001  HEAD         -2 -360 Degree Phase, 1 Cycle
  9.002  TARGET
  9.003  IEEE2        SOUR[V @Chan]:PHAS:ADJ -360DEG
  9.004  IEEE2        OUTP[V @Chan]:STAT ON
  9.005  MATH         MEM2 = "-360 Degree Phase, 1 Cycle Test"
  9.006  PICE         -s MEM2 : afg300_phase_360_degree_1cyc.jpg

 10.001  HEAD         -2 360 Degree Phase, 3 Cycle
 10.002  TARGET
 10.003  IEEE2        MODE[V @Chan]:TYPE BURS
 10.004  IEEE2        SOUR[V @Chan]:PHAS:ADJ 360DEG
 10.005  IEEE2        OUTP[V @Chan]:STAT ON
 10.006  MATH         MEM2 = "360 Degree Phase, 3 Cycle Test"
 10.007  PICE         -s MEM2 : afg300_phase_360_degree_3cyc.jpg

 11.001  HEAD         -2 270 Degree Phase, 3 Cycle
 11.002  TARGET
 11.003  IEEE2        SOUR[V @Chan]:PHAS:ADJ 270DEG
 11.004  IEEE2        OUTP[V @Chan]:STAT ON
 11.005  MATH         MEM2 = "270 Degree Phase, 3 Cycle Test"
 11.006  PICE         -s MEM2 : afg300_phase_270_degree_3cyc.jpg

 12.001  HEAD         -2 180 Degree Phase, 3 Cycle
 12.002  TARGET
 12.003  IEEE2        SOUR[V @Chan]:PHAS:ADJ 180DEG
 12.004  IEEE2        OUTP[V @Chan]:STAT ON
 12.005  MATH         MEM2 = "180 Degree Phase, 3 Cycle Test"
 12.006  PICE         -s MEM2 : afg300_phase_180_degree_3cyc.jpg

 13.001  HEAD         -2 90 Degree Phase, 3 Cycle
 13.002  TARGET
 13.003  IEEE2        SOUR[V @Chan]:PHAS:ADJ 90DEG
 13.004  IEEE2        OUTP[V @Chan]:STAT ON
 13.005  MATH         MEM2 = "90 Degree Phase, 3 Cycle Test"
 13.006  PICE         -s MEM2 : afg300_phase_90_degree_3cyc.jpg

 14.001  HEAD         -2 0 Degree Phase, 3 Cycle
 14.002  TARGET
 14.003  IEEE2        SOUR[V @Chan]:PHAS:ADJ 0DEG
 14.004  IEEE2        OUTP[V @Chan]:STAT ON
 14.005  MATH         MEM2 = "0 Degree Phase, 3 Cycle Test"
 14.006  PICE         -s MEM2 : afg300_phase_360_degree_3cyc.jpg

 15.001  HEAD         -2 -90 Degree Phase, 3 Cycle
 15.002  TARGET
 15.003  IEEE2        SOUR[V @Chan]:PHAS:ADJ -90DEG
 15.004  IEEE2        OUTP[V @Chan]:STAT ON
 15.005  MATH         MEM2 = "-90 Degree Phase, 3 Cycle Test"
 15.006  PICE         -s MEM2 : afg300_phase_270_degree_3cyc.jpg

 16.001  HEAD         -2 -180 Degree Phase, 3 Cycle
 16.002  TARGET
 16.003  IEEE2        SOUR[V @Chan]:PHAS:ADJ -180DEG
 16.004  IEEE2        OUTP[V @Chan]:STAT ON
 16.005  MATH         MEM2 = "-180 Degree Phase, 3 Cycle Test"
 16.006  PICE         -s MEM2 : afg300_phase_180_degree_3cyc.jpg

 17.001  HEAD         -2 -270 Degree Phase, 3 Cycle
 17.002  TARGET
 17.003  IEEE2        SOUR[V @Chan]:PHAS:ADJ -270DEG
 17.004  IEEE2        OUTP[V @Chan]:STAT ON
 17.005  MATH         MEM2 = "-270 Degree Phase, 3 Cycle Test"
 17.006  PICE         -s MEM2 : afg300_phase_90_degree_3cyc.jpg

 18.001  HEAD         -2 -360 Degree Phase, 3 Cycle
 18.002  TARGET
 18.003  IEEE2        SOUR[V @Chan]:PHAS:ADJ -360DEG
 18.004  IEEE2        OUTP[V @Chan]:STAT ON
 18.005  MATH         MEM2 = "-360 Degree Phase, 3 Cycle Test"
 18.006  PICE         -s MEM2 : afg300_phase_360_degree_3cyc.jpg

 19.001  HEAD         -2
 19.002  HEAD
 19.003  IEEE2        OUTP[V @Chan]:STAT OFF
 19.004  CALL         Sub Reset /FGEN
 19.005  END
