﻿fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek AFG300 (1 yr) Waveform Test VER IEEE /SCOPE
INSTRUMENT:            Sub Tek AFG300 (1 yr) Modulation VER IEEE /SCOPE
DATE:                  2010-11-03 08:47:52
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       15
NUMBER OF LINES:       253
=============================================================================
#
#  Procedure Author:
#        ZY
#
#  Model(s) Covered:
#        AFG 310, 320
#
#  Compatibility:
#        MET/CAL 7.20 SP1 (7.20x) or later
#
#  Subprocedures:
#        None
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        100 MHz Digital Oscilloscope
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IEEE2        *RST

  1.002  JMPL         WAVEFORM_TEST                       PSUB("Waveform")
  1.003  JMPL         MODULATION                          PSUB("Modulation")
  1.004  DISP         Subprocedure not found!
  1.005  END

  1.006  EVAL   Increment step number

# ============ Sub Tek AFG300 (1 yr) Waveform Test VER IEEE /SCOPE ========

  2.001  LABEL        WAVEFORM_TEST

  2.002  IF           @Chan == 1
  2.003  RSLT         =
  2.004  HEAD         {OUTPUT WAVEFORM TEST}, CH [V @Chan]
  2.005  ENDIF

  2.006  RSLT         =
  2.007  RSLT         =Channel [V @Chan]
  2.008  RSLT         =

  2.009  HEAD         -2 Sine Wave Output
  2.010  TARGET
  2.011  DISP         Using a 50 Ohm coaxial cable to connect the UUT
  2.011  DISP         CH[V @Chan] to digital oscilloscope CH1 via a
  2.011  DISP         50 Ohm termination.

  2.012  DISP         Set the digital oscilloscope as following:
  2.012  DISP         ===============================================
  2.012  DISP         Function                        Setting
  2.012  DISP         ===============================================
  2.012  DISP         CH1 Veritical
  2.012  DISP         [32]Coupling                    DC
  2.012  DISP         [32]Scale                       0.2V/Div
  2.012  DISP         [32]Input Impedance             1MOhm
  2.012  DISP         -----------------------------------------------
  2.012  DISP         Horizontal
  2.012  DISP         [32]Sweep                       10us/Div
  2.012  DISP         -----------------------------------------------
  2.012  DISP         Trigger
  2.012  DISP         [32]Source                      CH1
  2.012  DISP         [32]Coupling                    DC
  2.012  DISP         [32]Slope                       Positive
  2.012  DISP         [32]Level                       0 mV
  2.012  DISP         [32]Mode                        Auto

  2.013  IEEE2        SOUR[V @Chan]:FUNC:SHAP SIN
  2.014  IEEE2        SOUR[V @Chan]:FREQ:CW 20KHz
  2.015  IEEE2        SOUR[V @Chan]:VOLT:LEV:IMM:AMPL 1.6V
  2.016  IEEE2        OUTP[V @Chan]:STAT ON
  2.017  OPBR         -z Does the digital oscilloscope show 2 cycles
  2.017  OPBR         in 10 divisions, continuous sine wave?
  2.018  EVAL   -e MEM1 : Sine Wave Output Test

  3.001  HEAD         -2 Square Wave Output
  3.002  TARGET
  3.003  IEEE2        SOUR[V @Chan]:FUNC:SHAP SQU
  3.004  IEEE2        SOUR[V @Chan]:FREQ:CW 20KHz
  3.005  IEEE2        SOUR[V @Chan]:VOLT:LEV:IMM:AMPL 1.6V
  3.006  IEEE2        OUTP[V @Chan]:STAT ON
  3.007  OPBR         -z Does the digital oscilloscope show 2 cycles
  3.007  OPBR         in 10 divisions, continuous square wave?
  3.008  EVAL   -e MEM1 : Square Wave Output Test

  4.001  HEAD         -2 Triangle Wave Output
  4.002  TARGET
  4.003  IEEE2        SOUR[V @Chan]:FUNC:SHAP TRI
  4.004  IEEE2        SOUR[V @Chan]:FREQ:CW 20KHz
  4.005  IEEE2        SOUR[V @Chan]:VOLT:LEV:IMM:AMPL 1.6V
  4.006  IEEE2        OUTP[V @Chan]:STAT ON
  4.007  OPBR         -z Does the digital oscilloscope show 2 cycles
  4.007  OPBR         in 10 divisions, continuous square wave?
  4.008  EVAL   -e MEM1 : Triangle Wave Output Test

  5.001  HEAD         -2 Ramp Wave Output
  5.002  TARGET
  5.003  IEEE2        SOUR[V @Chan]:FUNC:SHAP RAMP
  5.004  IEEE2        SOUR[V @Chan]:FREQ:CW 20KHz
  5.005  IEEE2        SOUR[V @Chan]:VOLT:LEV:IMM:AMPL 1.6V
  5.006  IEEE2        OUTP[V @Chan]:STAT ON
  5.007  OPBR         -z Does the digital oscilloscope show 2 cycles
  5.007  OPBR         in 10 divisions, continuous ramp wave?
  5.008  EVAL   -e MEM1 : Ramp Wave Output Test

  6.001  HEAD         -2 Pulse Wave Output, 50% Duty Cycle
  6.002  TARGET
  6.003  IEEE2        SOUR[V @Chan]:FUNC:SHAP PULS
  6.004  IEEE2        SOUR[V @Chan]:FREQ:CW 20KHz
  6.005  IEEE2        SOUR[V @Chan]:VOLT:LEV:IMM:AMPL 1.6V
  6.006  IEEE2        OUTP[V @Chan]:STAT ON
  6.007  OPBR         -z Does the digital oscilloscope show 2 cycles
  6.007  OPBR         in 10 divisions, continuous pulse wave with 50%
  6.007  OPBR         duty ratio?
  6.008  EVAL   -e MEM1 : 50% Duty Cycle, Pulse Wave Output Test

  7.001  HEAD         -2 Pulse Wave Output, 75% Duty Cycle
  7.002  TARGET
  7.003  IEEE2        SOUR[V @Chan]:FUNC:SHAP PULS
  7.004  IEEE2        SOUR[V @Chan]:FREQ:CW 20KHz
  7.005  IEEE2        SOUR[V @Chan]:VOLT:LEV:IMM:AMPL 1.6V
  7.006  IEEE2        SOUR[V @Chan]:PULS:DCYC 75PCT
  7.007  IEEE2        OUTP[V @Chan]:STAT ON
  7.008  OPBR         -z Does the digital oscilloscope show 2 cycles
  7.008  OPBR         in 10 divisions, continuous pulse wave with 70%
  7.008  OPBR         duty ratio?
  7.009  EVAL   -e MEM1 : 75% Duty Cycle, Pulse Wave Output Test

  8.001  HEAD         -2 DC Offset Output
  8.002  TARGET
  8.003  IEEE2        SOUR[V @Chan]:FUNC:SHAP DC
  8.004  IEEE2        SOUR[V @Chan]:VOLT:LEV:IMM:OFFS 0.5V
  8.005  IEEE2        OUTP[V @Chan]:STAT ON
  8.006  OPBR         -z Does the digital oscilloscope show 0.5 V DC signal?
  8.007  EVAL   -e MEM1 : DC Offset Output Test

  9.001  HEAD         -2 Noise Wave Output
  9.002  TARGET
  9.003  IEEE2        SOUR[V @Chan]:FUNC:SHAP DC
  9.004  IEEE2        SOUR[V @Chan]:VOLT:LEV:IMM:OFFS 0V
  9.005  IEEE2        SOUR[V @Chan]:FUNC:SHAP PRN
  9.006  IEEE2        OUTP[V @Chan]:STAT ON
  9.007  OPBR         -z Does the digital oscilloscope show continuous
  9.007  OPBR         noise wave?
  9.008  EVAL   -e MEM1 : Noise Wave Output Test

 10.001  IEEE2        OUTP[V @Chan]:STAT OFF
 10.002  HEAD         -2
 10.003  HEAD
 10.004  END

 10.005  EVAL   Increment step number

# ============ Sub Tek AFG300 (1 yr) Modulation VER IEEE /DMM ========

 11.001  LABEL        MODULATION

 11.002  IF           @Chan == 1
 11.003  RSLT         =
 11.004  HEAD         {MODULATION FUNCTION TEST}, CH [V @Chan]
 11.005  ENDIF

 11.006  RSLT         =
 11.007  RSLT         =Channel [V @Chan]
 11.008  RSLT         =

 11.009  HEAD         -2 Sweep Output Sine Wave Test
 11.010  TARGET
 11.011  DISP         Set the digital oscilloscope as following:
 11.011  DISP         ===============================================
 11.011  DISP         Function                        Setting
 11.011  DISP         ===============================================
 11.011  DISP         CH1 Veritical
 11.011  DISP         [32]Coupling                    DC
 11.011  DISP         [32]Scale                       0.2V/Div
 11.011  DISP         [32]Input Impedance             1MOhm
 11.011  DISP         -----------------------------------------------
 11.011  DISP         Horizontal
 11.011  DISP         [32]Sweep                       20us/Div
 11.011  DISP         -----------------------------------------------
 11.011  DISP         Trigger
 11.011  DISP         [32]Source                      CH1
 11.011  DISP         [32]Coupling                    DC
 11.011  DISP         [32]Slope                       Positive
 11.011  DISP         [32]Level                       +100 mV
 11.011  DISP         [32]Mode                        Auto

 11.012  IEEE2        SOUR[V @Chan]:FREQ:MODE SWE
 11.013  IEEE2        OUTP[V @Chan]:STAT ON
 11.014  OPBR         -z Does the digital oscilloscope show continuous
 11.014  OPBR         sweep output of sine wave?
 11.015  EVAL   -e MEM1 : Sweep Output of Sine Wave Test

 12.001  HEAD         -2 FM Modulation Output Test
 12.002  TARGET
 12.003  IEEE2        SOUR[V @Chan]:FM:STAT ON
 12.004  IEEE2        OUTP[V @Chan]:STAT ON
 12.005  OPBR         -z Does the digital oscilloscope show continuous
 12.005  OPBR         FM modulation output of sine wave?
 12.006  EVAL   -e MEM1 : FM Modulation Output of Sine Wave Test

 13.001  HEAD         -2 FSK Modulation Output Test
 13.002  TARGET
 13.003  IEEE2        SOUR[V @Chan]:FSK:STAT ON
 13.004  IEEE2        OUTP[V @Chan]:STAT ON
 13.005  OPBR         -z Does the digital oscilloscope show continuous
 13.005  OPBR         FSK modulation output of sine wave?
 13.006  EVAL   -e MEM1 : FSK Modulation Output of Sine Wave Test

 14.001  IF           @Chan == 1
 14.002  HEAD         -2 AM Modulation Output Test
 14.003  TARGET
 14.004  IEEE2        OUTP[V @Chan]:STAT OFF
 14.005  IEEE2        SOUR[V @Chan]:AM:STAT ON
 14.006  IEEE2        OUTP[V @Chan]:STAT ON
 14.007  OPBR         -z Does the digital oscilloscope show continuous
 14.007  OPBR         AM modulation output of sine wave?
 14.008  EVAL   -e MEM1 : AM Modulation Output of Sine Wave Test
 15.001  ENDIF

 15.002  IEEE2        OUTP[V @Chan]:STAT OFF
 15.003  HEAD         -2
 15.004  HEAD
 15.005  END
