﻿Copyright (c) (2016) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Tektronix AFG320: (1 yr) VER /LFCTR,DMM,FGEN,SCOPE
DATE:                  2017-02-02 12:37:31
AUTHOR:                Fluke
REVISION:              $Revision: 2624 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       312
CONFIGURATION:         Low Frequency Counter
CONFIGURATION:         Digital Multimeter
CONFIGURATION:         Function Generator
=============================================================================
#
#  Procedure Author:
#        ZY
#
#  Source(s):
#        AFG320 and AFG320 Arbitrary Function Generators Service Manual
#        071-0176-50
#
#  Compatibility:
#        MET/CAL 7.3 or later
#
#  Additional Accessory Required:
#        Cable, 50 Ohm, BNC(m)-(m), Pomona 2249-C-36
#        Adapter, male N to female BNC
#        Connector, BNC "T", male BNC to dual female BNC
#        Adapter, female BNC to Dual-Banana plug
#        50 Ohm terminator, female BNC input, male BNC output
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IF           0
  1.002  IEEE         [@LFCTR]
  1.003  IEEE         [@DMM]
  1.004  IEEE         [@FGEN]
  1.005  ENDIF

  1.006  ASK-   R   Q N              P                            A        V
# ASK+ K is required for measurement uncertainty.
  1.007  ASK+           K

  1.008  IF           NOT(VERSIONCHECK("7.3"))
  1.009  END
  1.010  ENDIF

  1.011  CALL         Sub Display Copyright

  1.012  HEAD         PRELIMINARY INSTRUCTIONS
  1.013  DISP         Ensure a minimum UUT warm-up time of at least
  1.013  DISP         20 minutes has been allowed to elapse, prior
  1.013  DISP         to beginning verification.

  1.014  HEAD         SETUP PROCEDURE EXECUTION PARAMETERS
  1.015  CALL         Sub Select Failed Test Mode
  1.016  CALL         Sub Select Verification Method (No NTHROW)

  1.017  HEAD         UUT IDENTIFICATION
  1.018  DISP         Connect the UUT to IEEE-488 Post 1.
  1.019  CALL         Sub IEEE-488.2 Identification Query IEEE

  1.020  MATH         @UUT_Manufacturer = "SONY/Tek"
  1.021  MATH         @UUT_Model        = "AFG320"
  1.022  CALL         Sub IEEE-488.2 Identification Query Check Response
  1.023  JMPL         END                     @Abort

# Flexible driver initialization.
  1.024  CALL         Sub Initialize /LFCTR
  1.025  CALL         Sub Initialize /DMM
  1.026  CALL         Sub Initialize /FGEN

  1.027  HEAD         EQUIPMENT REQUIREMENTS
  1.028  OPBR         -z Do you want to REVIEW the list of flexible standards,
  1.028  OPBR         additional equipment and/or accessories required?

  1.029  IF           MEM1
  1.030  HEAD         FLEXIBLE STANDARDS
  1.031  MATH         LF = @LFCTR_Ch1
  1.032  DISP         The minimum use specifications of the following devices,
  1.032  DISP         configured as flexible standards, must be satisfied.
  1.032  DISP
  1.032  DISP         [32]NOMENCLATURE        ALIAS   DEVICE NAME
  1.032  DISP
  1.032  DISP         [32]LF Counter          LFCTR  [V @LFCTR_DevName] [V LF]
  1.032  DISP         [32]Digital Multimeter  DMM    [V @DMM_DevName]
  1.032  DISP         [32]Function Generator  FGEN   [V @FGEN_DevName]

  1.033  HEAD         -2 LF Counter (LFCTR)
  1.034  OPBR         -z LFCTR: [V @LFCTR_DevName]
  1.034  OPBR
  1.034  OPBR         Minimum Use Specifications:
  1.034  OPBR         [32] [V LF] Frequency Range: 10 MHz
  1.034  OPBR         [32]   Accuracy: 0.01 ppm or better
  1.034  OPBR
  1.034  OPBR         Does the [V @LFCTR_DevName] satisfy the above Minimum
  1.034  OPBR         Use Specifications?
  1.035  MATH         LFCTR = MEM1


  1.036  HEAD         -2 Digital Multimeter (DMM)
  1.037  OPBR         -z DMM: [V @DMM_DevName]
  1.037  OPBR
  1.037  OPBR         Minimum Use Specifications:
  1.037  OPBR         [32] AC volts: 0.1% accuracy or better
  1.037  OPBR         [32] DC volts: 50 ppm, res 100¦ÌV accuracyor better
  1.037  OPBR         [32] Resistance: ¡À 0.05 Ohm accuracy or bette
  1.037  OPBR
  1.037  OPBR         Does the [V @DMM_DevName] satisfy the above Minimum
  1.037  OPBR         Use Specifications?
  1.038  MATH         DMM = MEM1

  1.039  HEAD         -2 Function Generator (FGEN)
  1.040  OPBR         -z FGEN: [V @FGEN_DevName]
  1.040  OPBR
  1.040  OPBR         Minimum Use Specifications:
  1.040  OPBR         [32] Output Voltage: 0 V to 5 V
  1.040  OPBR         [32] Frequency: 10 kHz
  1.040  OPBR
  1.040  OPBR         Does the [V @FGEN_DevName] satisfy the above Minimum
  1.040  OPBR         Use Specifications?
  1.041  MATH         FGEN = MEM1

  1.042  HEAD         -2

  1.043  IF           NOT(LFCTR)
  1.044  DISP         Currently configured LFCTR (LF Counter):
  1.044  DISP
  1.044  DISP         [32][V @LFCTR_DevName]
  1.044  DISP
  1.044  DISP         does not satisfy procedure Minimum Use Specifications.
  1.045  ENDIF

  1.046  IF           NOT(DMM)
  1.047  DISP         Currently configured DMM (Digital Multimeter):
  1.047  DISP
  1.047  DISP         [32][V @DMM_DevName]
  1.047  DISP
  1.047  DISP         does not satisfy procedure Minimum Use Specifications.
  1.048  ENDIF

  1.049  IF           NOT(FGEN)
  1.050  DISP         Currently configured FGEN (Function Generator):
  1.050  DISP
  1.050  DISP         [32][V @FGEN_DevName]
  1.050  DISP
  1.050  DISP         does not satisfy procedure Minimum Use Specifications.
  1.051  ENDIF

  1.052  IF           NOT(LFCTR) || NOT(DMM) || NOT(FGEN)
  1.053  HEAD         FLEXIBLE STANDARD(S) UNSATISFACTORY FOR PROCEDURE USE!
  1.054  DISP         Flexible Standard(s) currently configured for use with
  1.054  DISP         this procedure have been identified as not satisfying
  1.054  DISP         the Minimum Use Specifications.
  1.054  DISP
  1.054  DISP         Select "Advance" to abort procedure, configure suitable
  1.054  DISP         device(s) to replace those identified, then restart the
  1.054  DISP         procedure from the beginning.
  1.055  END
  1.056  ENDIF

  1.057  HEAD         USER CONFIGURATED STANDARDS REQUIRED
  1.058  DISP         The minimum use specifications of the following devices,
  1.058  DISP         configured as additional standards, must be satisfied.

  1.059  HEAD         -2 Digital Oscillioscope
  1.060  OPBR         -z Digital Oscillioscope
  1.060  OPBR
  1.060  OPBR         Minimum Use Specifications:
  1.060  OPBR         [32] 100 MHz Bandwidth or higher
  1.060  OPBR
  1.060  OPBR         Does the digital oscilliscope satisfy the above
  1.060  OPBR         Minimum Use Specifications?
  1.061  MATH         SCOPE = MEM1

  1.062  HEAD         -2

  1.063  IF           NOT(SCOPE)
  1.064  DISP         Currently configured Digital Oscillioscope does not
  1.064  DISP         satisfy procedure Minimum Use Specifications.

  1.065  HEAD         FLEXIBLE STANDARD(S) UNSATISFACTORY FOR PROCEDURE USE!
  1.066  DISP         User configurated standard(s) currently configured for
  1.066  DISP         use with this procedure have been identified as not
  1.066  DISP         satisfying the Minimum Use Specifications.
  1.066  DISP
  1.066  DISP         Select "Advance" to abort procedure, configure suitable
  1.066  DISP         device(s) to replace those identified, then restart the
  1.066  DISP         procedure from the beginning.
  1.067  ENDIF

  1.068  HEAD         ADDITIONAL ACCESSORIES REQUIRED
  1.069  DISP         Additional accessories required:
  1.069  DISP
  1.069  DISP         - Cable, 50 Ohm, BNC(m)-(m), Pomona 2249-C-36
  1.069  DISP         - Adapter, BNC (f) to Type "N" (m), 50 Ohm
  1.069  DISP         - 10X (50 Ohm) attenuator
  1.069  DISP         - 50 Ohm terminator, one set
  1.069  DISP         - Adapter, BNC (f) to Dual-Banana plug
  1.070  ENDIF

  1.071  CALL         Sub Tek AFG300 Set Bandwidth & Channel Numbers

# NOTE: Throughout this procedure, JMPL/LABEL statements are used to minimize
# connection changes during execution. Test results, however, are reported in
# test number sequence, consistent with the source documentation.
#
#  Order  Results                            Run Time (Execution)
#  -----  ---------------------------------  ---------------------------------
#    1.   Self Test                          Self Test
#    2.   Internal Calibration               Internal Calibration
#    3.   Waveform Test (CH1)                Waveform Test (CH1)
#    4.   Waveform Test (CH2)                Modulation Test (CH1)
#    5.   Frequency Test (CH1)               Frequency Test (CH1)
#    6.   Frequency Test (CH2)               Amplitude Test (CH1)
#    7.   Amplitude Test (CH1)               DCV Acc Test (CH1)
#    8.   Amplitude Test (CH2)               Phase Test (CH1)
#    9.   DCV Acc Test (CH1)                 Waveform Test (CH2)
#   10.   DCV Acc Test (CH2)                 Modulation Test (CH2)
#   11.   Phase Test (CH1)                   Frequency Test (CH2)
#   12.   Phase Test (CH2)                   Amplitude Test (CH2)
#   13.   Modulation Test (CH1)              DCV Acc Test (CH2)
#   14.   Modulation Test (CH2)              Phase Test (CH2)

  1.072  CALL         Sub Self Test IEEE2 No Connection
  1.073  JMPL         END                           @Abort

  1.074  CALL         Sub Tek AFG300 Internal Calibration VER IEEE
  1.075  JMPL         END                           @Abort

  1.076  MATH         @Chan = 1
  1.077  CALL         Sub Tek AFG300 (1 yr) Waveform Test VER IEEE /SCOPE
  1.078  JMPL         MODULATION_TEST_CH1

  1.079  LABEL        WAVEFORM_TEST_CH2
  1.080  MATH         @Chan = 2
  1.081  CALL         Sub Tek AFG300 (1 yr) Waveform Test VER IEEE /SCOPE
  1.082  JMPL         MODULATION_TEST_CH2

  1.083  LABEL        FREQUENCY_TEST_CH1
  1.084  MATH         @Chan = 1
  1.085  CALL         Sub Tek AFG300 (1 yr) Frequency VER IEEE /LFCTR
  1.086  JMPL         AMPLITUDE_TEST_CH1

  1.087  LABEL        FREQUENCY_TEST_CH2
  1.088  MATH         @Chan = 2
  1.089  CALL         Sub Tek AFG300 (1 yr) Frequency VER IEEE /LFCTR
  1.090  JMPL         AMPLITUDE_TEST_CH2

  1.091  LABEL        AMPLITUDE_TEST_CH1
  1.092  MATH         @Chan = 1
  1.093  CALL         Sub Tek AFG300 (1 yr) Amplitude VER IEEE /DMM
  1.094  JMPL         DCV_TEST_CH1

  1.095  LABEL        AMPLITUDE_TEST_CH2
  1.096  MATH         @Chan = 2
  1.097  CALL         Sub Tek AFG300 (1 yr) Amplitude VER IEEE /DMM
  1.098  JMPL         DCV_TEST_CH2

  1.099  LABEL        DCV_TEST_CH1
  1.100  MATH         @Chan = 1
  1.101  CALL         Sub Tek AFG300 (1 yr) DC Voltage Acc VER IEEE /DMM
  1.102  JMPL         PHASE_TEST_CH1

  1.103  LABEL        DCV_TEST_CH2
  1.104  MATH         @Chan = 2
  1.105  CALL         Sub Tek AFG300 (1 yr) DC Voltage Acc VER IEEE /DMM
  1.106  JMPL         PHASE_TEST_CH2

  1.107  LABEL        PHASE_TEST_CH1
  1.108  MATH         @Chan = 1
  1.109  CALL         Sub Tek AFG300 (1 yr) Phase VER IEEE /FGEN,SCOPE
  1.110  JMPL         WAVEFORM_TEST_CH2

  1.111  LABEL        PHASE_TEST_CH2
  1.112  MATH         @Chan = 2
  1.113  CALL         Sub Tek AFG300 (1 yr) Phase VER IEEE /FGEN,SCOPE
  1.114  JMPL         END

  1.115  LABEL        MODULATION_TEST_CH1
  1.116  MATH         @Chan = 1
  1.117  CALL         Sub Tek AFG300 (1 yr) Modulation VER IEEE /SCOPE
  1.118  JMPL         FREQUENCY_TEST_CH1

  1.119  LABEL        MODULATION_TEST_CH2
  1.120  MATH         @Chan = 2
  1.121  CALL         Sub Tek AFG300 (1 yr) Modulation VER IEEE /SCOPE
  1.122  JMPL         FREQUENCY_TEST_CH2

  1.123  LABEL        END
  1.124  RSLT         =

  1.125  IF           @Abort
  1.126  HEAD         {V E R I F I C A T I O N   A B O R T E D !}
  1.127  ELSE
  1.128  HEAD         {V E R I F I C A T I O N   C O M P L E T E}
  1.129  ENDIF

  1.130  END
